<form class="editable ">

    <div style="display:inline">
        <span>last webmidi message received</span>
        <input type="text" id="midiIn" value="{{midi}}">
        <span class="addControl ">add controler</span>
    </div>

    <div class="controlList flex">
        <table class="controlList">
            <tr>
                <th>control ID</th>
                <th>trigger</th>
                <th>entity</th>
                <th>action</th>
            </tr>
            {{#each controls as | ct |}}
            <tr>
                <td>control # {{ct.id}}</td>
                <td>webmidi : {{ct.midiTrig}}</td>

                <td>

                    <select class="selectEntity" name="ct.entity" data-type="String">
                        {{#select ct.entity}}
                        <optgroup label="actuel">
                            <option selected>{{ct.entity}}</option>
                        </optgroup>
                        <optgroup label="changer pour">
                          {{#each ../soundList as |sound |}}
                          <option value="{{sound.name}}">{{sound.name}}</option>
                          {{/each}}
                          {{/select}}
                        </optgroup>
                        </select>
                </td>
                <td>play</td>
            </tr>
            {{/each}}
        </table>
        <h2>object .name in my array soundList</h2>
        <ul>

            {{#each soundList as |sound |}}
            <li> {{sound.name}} </li>
            {{/each}}
        </ul>
    </div>

    <footer class="sheet-footer flexrow">
        <button type="submit" name="submit">
          <i class="fa fa-check"></i> OK
      </button>
        <button>
         export control list
    </button>
        <button>
        import control list
   </button>
    </footer>
</form>